Skip to content
Start here

List fleet status details by dimension

GET/accounts/{account_id}/dex/fleet-status/live

List details for live (up to 60 minutes) devices using WARP

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare DEX WriteCloudflare DEX ReadZero Trust ReportZero Trust Read
Path ParametersExpand Collapse
account_id: string
maxLength32
Query ParametersExpand Collapse
since_minutes: number

Number of minutes before current time

maximum60
minimum1
ReturnsExpand Collapse
errors: array of { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
messages: array of { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional { deviceStats }
deviceStats: optional { byColo, byMode, byPlatform, 3 more }
byColo: optional array of LiveStat { uniqueDevicesTotal, value }
uniqueDevicesTotal: optional number

Number of unique devices

value: optional string
byMode: optional array of LiveStat { uniqueDevicesTotal, value }
uniqueDevicesTotal: optional number

Number of unique devices

value: optional string
byPlatform: optional array of LiveStat { uniqueDevicesTotal, value }
uniqueDevicesTotal: optional number

Number of unique devices

value: optional string
byStatus: optional array of LiveStat { uniqueDevicesTotal, value }
uniqueDevicesTotal: optional number

Number of unique devices

value: optional string
byVersion: optional array of LiveStat { uniqueDevicesTotal, value }
uniqueDevicesTotal: optional number

Number of unique devices

value: optional string
uniqueDevicesTotal: optional number

Number of unique devices

List fleet status details by dimension

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/dex/fleet-status/live \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "deviceStats": {
      "byColo": [
        {
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "byMode": [
        {
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "byPlatform": [
        {
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "byStatus": [
        {
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "byVersion": [
        {
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "uniqueDevicesTotal": 0
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "deviceStats": {
      "byColo": [
        {
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "byMode": [
        {
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "byPlatform": [
        {
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "byStatus": [
        {
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "byVersion": [
        {
          "uniqueDevicesTotal": 0,
          "value": "value"
        }
      ],
      "uniqueDevicesTotal": 0
    }
  }
}